Subject: Re: perl-5.14.2 switch
From: "Yaakov (Cygwin/X)" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Jul 2012 13:40:24 -0500
List-Id: <cygwin.cygwin.com>

On Wed, Jul 11, 2012 at 10:07 AM, Reini Urban wrote:
> On Wed, Jul 11, 2012 at 4:53 AM, Yaakov (Cygwin/X)  wrote:
>> Where this really breaks things is where a EU::E module is linked with
>> libtool (as in gnumeric's perl-loader plugin): the xsinit-generated
>> code calls boot_Win32CORE() but libtool will drop any static link
>> libraries when creating a shared library/module, meaning the link
>> fails with an unresolved reference to said function.
>>
>> AFAICS, static_ext should be empty; packages which actually need the
>> w32_* symbols can add Win32CORE as an argument to the EU::E functions.
>
> I see the problem, but I'm afraid that I cannot move Win32CORE from
> static to dynamic now.
> Generally we must have the ability to support both types of exts,
> static and dynamic. Some internal exts are also static, such as
> Cygwin, Internals, utf8, UNIVERSAL, DynaLoader, PerlIO, mro and
> partially version, attributes, Tie::Hash::NamedCapture. But they are
> included in libperl.

I'm not complaining that Win32CORE is static, if EU::E wouldn't insist
on using it all the time.

> Previously I solved this by adding Win32CORE.o to libperl itself.
> Should I do that?

I suppose so.

Yaakov

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple